Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class Anno

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.adaptor.pdf.Anno

Direct Known Subclasses:
  AnnoLink

public abstract class Anno
extends Behavior

Superclass for PDF annotations. Provides methods for mapping PDF's geometric positions to structural, Individual annotations are implemented with separate behaviors (see subclass links), which generally convert PDF-specific annotation to format-independent Multivalent.

Version:
  $Revision: 1.5 $ $Date: 2003/06/01 06:57:26 $

Field Summary
`static java.lang.String` | `LAYER`
`static java.lang.String` | `MSG_CREATE` Announce a PDF annotation found on the page that some handler (another behavior) should create.
`static java.lang.String` | `MSG_EXECUTE` Request execution of PDF annotation.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`Anno()`

Method Summary
`protected boolean` | `checkArgs(java.lang.String subtype, SemanticEvent se)` Returns true if semantic event is a PDF annotation, `/Subtype` matches subtype, and event's argument are valid.
`protected Span` | `createSpan(SemanticEvent se, java.lang.String logical, java.lang.String bename)` Given /Rect (and handle to `PDF`) in semantic event, convert to `Span`.
`protected void` | `decorate()` Applies appearance properties common to all (most) annotation types.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LAYER

    public static final java.lang.String LAYER

See Also:
  Constant Field Values

### MSG_CREATE

    public static final java.lang.String MSG_CREATE

  Announce a PDF annotation found on the page that some handler (another behavior) should create.

  `"pdfAnnoCreate"`: `arg=` `Dict` annotation-dictionary, `in=` `PDF` handle to this behavior (for fetching component objects), `out=`root of PDF document tree.

  See Also:
    Constant Field Values

### MSG_EXECUTE

    public static final java.lang.String MSG_EXECUTE

  Request execution of PDF annotation.

  `"pdfAnnoCreate"`: `arg=` `Dict` annotation-dictionary, `in=` `PDF` handle to this behavior (for fetching component objects), `out=`root of PDF document tree.

  See Also:
    Constant Field Values

Constructor Detail

### Anno

    public Anno()

Method Detail

### checkArgs

    protected boolean checkArgs(java.lang.String subtype,
                                SemanticEvent se)

  Returns true if semantic event is a PDF annotation, `/Subtype` matches subtype, and event's argument are valid.

### createSpan

    protected Span createSpan(SemanticEvent se,
                              java.lang.String logical,
                              java.lang.String bename)

  Given /Rect (and handle to `PDF`) in semantic event, convert to `Span`.

### decorate

    protected void decorate()

  Applies appearance properties common to all (most) annotation types.

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD